'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

var _chartsPieJs = require('./charts/Pie.js');

var _chartsPieJs2 = _interopRequireDefault(_chartsPieJs);

var _chartsTreeJs = require('./charts/Tree.js');

var _chartsTreeJs2 = _interopRequireDefault(_chartsTreeJs);

var _chartsRadarJs = require('./charts/Radar.js');

var _chartsRadarJs2 = _interopRequireDefault(_chartsRadarJs);

var _chartsBarJs = require('./charts/Bar.js');

var _chartsBarJs2 = _interopRequireDefault(_chartsBarJs);

var _chartsSmoothLineJs = require('./charts/SmoothLine.js');

var _chartsSmoothLineJs2 = _interopRequireDefault(_chartsSmoothLineJs);

var _chartsStockLineJs = require('./charts/StockLine.js');

var _chartsStockLineJs2 = _interopRequireDefault(_chartsStockLineJs);

var _chartsScatterplotJs = require('./charts/Scatterplot.js');

var _chartsScatterplotJs2 = _interopRequireDefault(_chartsScatterplotJs);

//import SmoothLineVivus from './charts/SmoothLineVivus.js';
//import StockLineVivus from './charts/StockLineVivus.js';
//import BarVivus from './charts/BarVivus.js';
//import PieVivus from './charts/PieVivus.js';
//import RadarVivus from './charts/RadarVivus.js';
//import TreeVivus from './charts/TreeVivus.js';
//import ScatterplotVivus from './charts/ScatterplotVivus.js';

// form: true
// make objects not extensible,
// fields not removable
// and inputs always visible
var settings = {
    form: true,
    fields: {
        data: { type: 'bindingEditor' },
        options: {
            fields: {
                width: { type: 'number' },
                height: { type: 'number' },
                margin: { type: 'boxSizeEditor' },
                r: { type: 'number' },
                R: { type: 'number' },
                gutter: { type: 'number' },
                color: { type: 'colorPicker' },
                fill: { type: 'colorPicker' },
                stroke: { type: 'colorPicker' },
                legendPosition: {
                    type: 'select',
                    settings: { options: ['topLeft', 'topRight', 'bottomLeft', 'bottomRight'] }
                },
                label: { type: 'fontEditor' },
                animate: {
                    fields: {
                        type: { type: 'select', settings: { options: ['delayed', 'async', 'oneByOne'] } },
                        duration: { type: 'number' },
                        fillTransition: { type: 'number' }
                    }
                },

                axisY: {
                    fields: {
                        orient: { type: 'select', settings: { options: ['left', 'right'] } },
                        tickValues: { type: 'tickValues' },
                        label: { type: 'fontEditor' },
                        showAxis: { type: 'boolean' },
                        showLines: { type: 'boolean' },
                        showLabels: { type: 'boolean' },
                        showTicks: { type: 'boolean' },
                        zeroAxis: { type: 'boolean' }
                    }
                },
                axisX: {
                    fields: {
                        orient: { type: 'select', settings: { options: ['top', 'bottom'] } },
                        tickValues: { type: 'tickValues' },
                        label: { type: 'fontEditor' },
                        showAxis: { type: 'boolean' },
                        showLines: { type: 'boolean' },
                        showLabels: { type: 'boolean' },
                        showTicks: { type: 'boolean' },
                        zeroAxis: { type: 'boolean' }
                    }
                }
            }
        }
    }
};

exports['default'] = {
    Pie: _underscore2['default'].extend(_chartsPieJs2['default'], {
        metaData: {
            props: {
                data: {},
                accessorKey: '',
                options: {
                    margin: { top: 20, left: 20, right: 20, bottom: 20 },
                    width: 600,
                    height: 600,
                    color: '#2980B9',
                    r: 100,
                    R: 200,
                    legendPosition: 'topLeft',
                    animate: {
                        type: 'oneByOne',
                        duration: 200,
                        fillTransition: 3
                    },
                    label: {
                        fontFamily: 'Arial',
                        fontSize: 14,
                        bold: true,
                        fill: '#ECF0F1'
                    }
                }
            },
            settings: settings
        }
    }),
    Tree: _underscore2['default'].extend(_chartsTreeJs2['default'], {
        metaData: {
            props: {
                data: {},
                options: {
                    margin: { top: 20, left: 50, right: 80, bottom: 20 },
                    width: 600,
                    height: 600,
                    fill: "#2980B9",
                    stroke: "#3E90F0",
                    r: 5,
                    animate: {
                        type: 'oneByOne',
                        duration: 200,
                        fillTransition: 3
                    },
                    label: {
                        fontFamily: 'Arial',
                        fontSize: 14,
                        bold: true,
                        fill: '#34495E'
                    }
                }
            },
            settings: settings
        }
    }),
    SmoothLine: _underscore2['default'].extend(_chartsSmoothLineJs2['default'], {
        metaData: {
            props: {
                data: {},
                xKey: '',
                yKey: '',
                options: {
                    width: 600,
                    height: 600,
                    color: '#2980B9',
                    margin: { top: 40, left: 60, bottom: 50, right: 20 },
                    animate: {
                        type: 'delayed',
                        duration: 200,
                        fillTransition: 3
                    },
                    axisX: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'bottom',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    },
                    axisY: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'left',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    }
                }
            },
            settings: settings
        }
    }),
    StockLine: _underscore2['default'].extend(_chartsStockLineJs2['default'], {
        metaData: {
            props: {
                data: {},
                xKey: '',
                yKey: '',
                options: {
                    width: 600,
                    height: 600,
                    color: '#2980B9',
                    margin: { top: 40, left: 60, bottom: 50, right: 20 },
                    animate: {
                        type: 'delayed',
                        duration: 200,
                        fillTransition: 3
                    },
                    axisX: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'bottom',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    },
                    axisY: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'left',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    }
                }
            },
            settings: settings
        }
    }),
    Radar: _underscore2['default'].extend(_chartsRadarJs2['default'], {
        metaData: {
            props: {
                data: {},
                options: {
                    width: 600,
                    height: 600,
                    margin: { top: 20, left: 20, right: 20, bottom: 20 },
                    r: 300,
                    max: 150,
                    fill: "#2980B9",
                    stroke: "#2980B9",
                    animate: {
                        type: 'oneByOne',
                        duration: 200,
                        fillTransition: 3
                    },
                    label: {
                        fontFamily: 'Arial',
                        fontSize: 14,
                        bold: true,
                        color: '#34495E'
                    }
                }
            },
            settings: settings
        }
    }),
    Bar: _underscore2['default'].extend(_chartsBarJs2['default'], {
        metaData: {
            props: {
                data: {},
                accessorKey: '',
                options: {
                    width: 600,
                    height: 600,
                    margin: { top: 20, left: 20, bottom: 50, right: 20 },
                    color: '#2980B9',
                    gutter: 20,
                    animate: {
                        type: 'oneByOne',
                        duration: 200,
                        fillTransition: 3
                    },
                    axisX: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'bottom',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    },
                    axisY: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'left',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    }
                }
            },
            settings: settings
        }
    }),
    Scatterplot: _underscore2['default'].extend(_chartsScatterplotJs2['default'], {
        metaData: {
            props: {
                data: {},
                xKey: '',
                yKey: '',
                options: {
                    width: 600,
                    height: 600,
                    margin: { top: 40, left: 60, bottom: 30, right: 30 },
                    fill: "#2980B9",
                    stroke: "#3E90F0",
                    animate: {
                        type: 'delayed',
                        duration: 200,
                        fillTransition: 3
                    },
                    label: {
                        fontFamily: 'Arial',
                        fontSize: 14,
                        bold: true,
                        color: '#34495E'
                    },
                    axisX: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'bottom',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    },
                    axisY: {
                        showAxis: true,
                        showLines: true,
                        showLabels: true,
                        showTicks: true,
                        zeroAxis: false,
                        orient: 'left',
                        label: {
                            fontFamily: 'Arial',
                            fontSize: 14,
                            bold: true,
                            color: '#34495E'
                        }
                    }
                }
            },
            settings: settings
        }
    })
};
module.exports = exports['default'];